Subject: grub cannot be installed in a partition , only on MBR
Description: Hello,
When | installed Calculate | cannot install grub on a partition.
The installer gives only the choice of a disk.
And when | try the install from prompt with --mbr=/dev/sdc2 | see a message that disk /dev/sdc2 cannot be
found.
History

08/15/2011 03:44 pm - Dmitry Fomenko

- Category set to Calculate Utilities

- Status changed from New

to In Progress

- Priority changed from High to Normal

Could you try run command
<pre>

# parted /dev/sdc print
</pre>

and post the result here?

08/15/2011 03:59 pm - roel

of wobben

parted /dev/sdc print gives this output :

arning: GNU Parted has detected libreiserfs interface version mismatch. Found 1-1, required 0. ReiserFS support will be disabled.

Model: ATA Maxtor 6Y060LO (scsi)

Disk /dev/sdc: 61.5GB

Sector size (logical/physical): 512B/512B

Partition Table: msdos

Number Start End Size

Roelof

08/15/2011 04:07 pm - Dmi

Type File system
1 32.3kB 2155MB 2155MB primary linux-swap(vl)
2  2155MB 61.5GB 59.3GB primary reiserfs

try Fomenko

Can you try to install Calculate on ext4 partition? May be the case in this bug - "libreiserfs interface version mismatch".

08/15/2011 04:19 pm - Dmi

try Fomenko

- Tracker changed from Bug to Feature

08/15/2011 04:22 pm - Dmi

At the moment installer can install grub only in mbr or install nothing (with --mbr=off). Feature request: need ability to install the grub at the arbitrary

partition.

try Fomenko

08/24/2012 10:22 am - Mikhail Hiretsky
- Assignee set to Mikhail Hiretsky
